<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 for Toppan Merrill on 26-October-2022 [12:07:44] {AM}-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedIncomeStatement" roleURI="http://www.frasers.group/role/ConsolidatedIncomeStatement" />
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedStatementOfComprehensiveIncome" roleURI="http://www.frasers.group/role/ConsolidatedStatementOfComprehensiveIncome" />
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedBalanceSheet" roleURI="http://www.frasers.group/role/ConsolidatedBalanceSheet" />
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedCashFlowStatement" roleURI="http://www.frasers.group/role/ConsolidatedCashFlowStatement" />
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedStatementOfChangesInEquity" roleURI="http://www.frasers.group/role/ConsolidatedStatementOfChangesInEquity" />
  <roleRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#ConsolidatedIncomeStatementAlternate1" roleURI="http://www.frasers.group/role/ConsolidatedIncomeStatementAlternate1" />
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedStatementOfComprehensiveIncome">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xlink:label="loc_FRAS_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_FRAS_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" use="optional" order="5" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" use="optional" order="7" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xlink:label="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xlink:label="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" use="optional" order="9" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" use="optional" order="10" weight="-1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedStatementOfComprehensiveIncome">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" use="optional" order="11" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="loc_ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" use="optional" order="12" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedBalanceSheet">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Equity" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_ifrs-full_NoncontrollingInterests" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_NoncontrollingInterests" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_IssuedCapital" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SharePremium" xlink:label="loc_ifrs-full_SharePremium" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_SharePremium" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TreasuryShares" xlink:label="loc_ifrs-full_TreasuryShares" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_TreasuryShares" use="optional" order="6" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CapitalRedemptionReserve" xlink:label="loc_ifrs-full_CapitalRedemptionReserve" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_CapitalRedemptionReserve" use="optional" order="7" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" use="optional" order="8" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments" xlink:label="loc_ifrs-full_ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments" use="optional" order="9" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfSharebasedPayments" xlink:label="loc_ifrs-full_ReserveOfSharebasedPayments" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_ReserveOfSharebasedPayments" use="optional" order="10" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_RetainedEarnings" use="optional" order="11" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PermanentContributionToCapital" xlink:label="loc_FRAS_PermanentContributionToCapital" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_FRAS_PermanentContributionToCapital" use="optional" order="12" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ReverseCombinationReserve" xlink:label="loc_FRAS_ReverseCombinationReserve" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_FRAS_ReverseCombinationReserve" use="optional" order="13" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_OwnShareReserve" xlink:label="loc_FRAS_OwnShareReserve" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_FRAS_OwnShareReserve" use="optional" order="14" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalLiabilities" xlink:label="loc_FRAS_TotalLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_FRAS_TotalLiabilities" use="optional" order="15" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalLiabilities" xlink:to="loc_ifrs-full_CurrentLiabilities" use="optional" order="16" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialLiabilities" use="optional" order="17" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables" use="optional" order="18" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities" use="optional" order="19" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" use="optional" order="20" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalLiabilities" xlink:to="loc_ifrs-full_NoncurrentLiabilities" use="optional" order="21" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities" use="optional" order="22" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LongtermBorrowings" xlink:label="loc_ifrs-full_LongtermBorrowings" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_LongtermBorrowings" use="optional" order="23" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_DeferredTaxLiabilities" use="optional" order="24" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:label="loc_ifrs-full_NoncurrentProvisions" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentProvisions" use="optional" order="25" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:label="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" use="optional" order="26" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalLiabilities" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" use="optional" order="27" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedBalanceSheet">
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalAssets" xlink:label="loc_FRAS_TotalAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalAssets" xlink:to="loc_ifrs-full_CurrentAssets" use="optional" order="28" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Inventories" xlink:label="loc_ifrs-full_Inventories" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_Inventories" use="optional" order="29" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables" use="optional" order="30" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialAssets" use="optional" order="31" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CashAndCashEquivalents" use="optional" order="32" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalAssets" xlink:to="loc_ifrs-full_NoncurrentAssets" use="optional" order="33" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" use="optional" order="34" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentProperty" xlink:label="loc_ifrs-full_InvestmentProperty" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_InvestmentProperty" use="optional" order="35" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsAndGoodwill" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_IntangibleAssetsAndGoodwill" use="optional" order="36" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:label="loc_ifrs-full_NoncurrentFinancialAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_NoncurrentFinancialAssets" use="optional" order="37" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_DeferredTaxAssets" use="optional" order="38" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" xlink:label="loc_ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan" use="optional" order="39" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalAssets" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" use="optional" order="40" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedCashFlowStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" use="optional" order="3" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" use="optional" order="5" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" use="optional" order="6" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" use="optional" order="7" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FinanceCostsPaid" xlink:label="loc_FRAS_FinanceCostsPaid" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_FRAS_FinanceCostsPaid" use="optional" order="9" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" use="optional" order="10" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" xlink:label="loc_FRAS_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_FRAS_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" use="optional" order="11" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" use="optional" order="12" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" use="optional" order="13" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:label="loc_FRAS_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" use="optional" order="14" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfIntangiblesAssets" xlink:label="loc_FRAS_ProceedsOnDisposalOfIntangiblesAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_ProceedsOnDisposalOfIntangiblesAssets" use="optional" order="15" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PurchaseOfSubsidiariesNetOfCashAcquired" xlink:label="loc_FRAS_PurchaseOfSubsidiariesNetOfCashAcquired" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_PurchaseOfSubsidiariesNetOfCashAcquired" use="optional" order="16" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" use="optional" order="17" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_InvestmentIncomeReceived" xlink:label="loc_FRAS_InvestmentIncomeReceived" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_InvestmentIncomeReceived" use="optional" order="18" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FinanceIncomeReceived" xlink:label="loc_FRAS_FinanceIncomeReceived" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_FinanceIncomeReceived" use="optional" order="19" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:label="loc_FRAS_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" use="optional" order="20" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfListedInvestments" xlink:label="loc_FRAS_ProceedsOnDisposalOfListedInvestments" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_ProceedsOnDisposalOfListedInvestments" use="optional" order="21" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsInRelationToEquityDerivatives" xlink:label="loc_FRAS_ProceedsInRelationToEquityDerivatives" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_ProceedsInRelationToEquityDerivatives" use="optional" order="22" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" use="optional" order="23" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" xlink:label="loc_FRAS_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_FRAS_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" use="optional" order="24" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedIncomeStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_GrossProfit" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalRevenueIncludingCreditAccountInterest" xlink:label="loc_FRAS_TotalRevenueIncludingCreditAccountInterest" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="loc_FRAS_TotalRevenueIncludingCreditAccountInterest" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalRevenueIncludingCreditAccountInterest" xlink:to="loc_ifrs-full_Revenue" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RevenueFromInterest" xlink:label="loc_ifrs-full_RevenueFromInterest" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalRevenueIncludingCreditAccountInterest" xlink:to="loc_ifrs-full_RevenueFromInterest" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CostOfSales" xlink:label="loc_ifrs-full_CostOfSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="loc_ifrs-full_CostOfSales" use="optional" order="7" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" xlink:label="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_SellingDistributionAndAdministrativeExpense" xlink:label="loc_FRAS_SellingDistributionAndAdministrativeExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_FRAS_SellingDistributionAndAdministrativeExpense" use="optional" order="9" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="loc_ifrs-full_OtherOperatingIncomeExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_OtherOperatingIncomeExpense" use="optional" order="10" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" xlink:label="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" use="optional" order="11" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ExceptionalItems" xlink:label="loc_FRAS_ExceptionalItems" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_FRAS_ExceptionalItems" use="optional" order="12" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:label="loc_ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" use="optional" order="13" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentIncome" xlink:label="loc_ifrs-full_InvestmentIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_InvestmentIncome" use="optional" order="14" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_InvestmentCosts" xlink:label="loc_FRAS_InvestmentCosts" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_FRAS_InvestmentCosts" use="optional" order="15" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncome" xlink:label="loc_ifrs-full_FinanceIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceIncome" use="optional" order="16" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:label="loc_ifrs-full_FinanceCosts" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceCosts" use="optional" order="17" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" use="optional" order="18" weight="-1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedIncomeStatementAlternate1">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" use="optional" order="19" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" use="optional" order="20" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedStatementOfChangesInEquity">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughAcquisitionOfSubsidiary" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughAcquisitionOfSubsidiary" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughAcquisitionOfSubsidiary" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ShareScheme" xlink:label="loc_FRAS_ShareScheme" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_FRAS_ShareScheme" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:label="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" use="optional" order="3" weight="-1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.frasers.group/role/ConsolidatedStatementOfChangesInEquity">
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalComprehensiveIncomeForThePeriod" xlink:label="loc_FRAS_TotalComprehensiveIncomeForThePeriod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_ProfitLoss" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xlink:label="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" use="optional" order="7" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xlink:label="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_FRAS_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" use="optional" order="9" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" xlink:label="loc_FRAS_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_FRAS_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" use="optional" order="10" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" use="optional" order="11" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" use="optional" order="12" weight="1" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xlink:label="loc_FRAS_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_FRAS_TotalComprehensiveIncomeForThePeriod" xlink:to="loc_FRAS_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" use="optional" order="13" weight="-1" />
  </calculationLink>
</linkbase>